# $Revision: 1.30 $, $Date: 2004/07/04 21:40:42 $
Summary:	SpaceChart - a 3d map of the stars
Summary(pl):	SpaceChart - trjwymiarowa mapa nieba
Name:		spacechart
Version:	0.9.5
Release:	2
License:	GPL
Group:		X11/Applications/Science
Source0:	ftp://ftp.gnu.org/pub/gnu/spacechart/%{name}-%{version}.tar.gz
# Source0-md5:	5d23778a92b3c4a1e843efc114d69f83
Source1:	%{name}.desktop
Source2:	%{name}.png
URL:		http://www.gnu.org/software/spacechart/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gnome-libs-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SpaceChart is a program for displaying maps of the stars in 3D and
rotate them. It is capable of showing only a subset of the stars in a
given data file, and only those within a given distance of the center
of the display. Also, it shows lines between stars that are closer
than a given distance.

Included with the program is the file gliese.dat, which is based on
the Gliese Catalogue of Nearby Stars, 3rd version, which includes all
known stars within 25 parsecs of the Sun.

%description -l pl
SpaceChart jest programem, ktry wywietla map nieba w trzech
wymiarach oraz umoliwia jej obracanie wok gwiazd. Za jego pomoc
mona ograniczy ogldany zbir gwiazd wzgldem ich wasnoci, a take
odlegoci od centrum okna podgldu.

Z programem jest doczany plik gliese.dat, ktry zosta utworzony na
podstawie katalogu Gliese Catalogue of Nearby Stars (trzecia wersja),
ktry zawiera wszystkie znane gwiazdy w odlegoci do 25 parsekw od
Soca.

%prep
%setup -q

%build
rm -f missing
%{__gettextize}
%{__aclocal} -I %{_aclocaldir}/gnome
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README doc/coordinates.txt doc/sample-spacechartrc
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/spacechartrc
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: spacechart.spec,v $
Revision 1.30  2004/07/04 21:40:42  havner
- applnk -> vfolders
- ha, one more astronomic program ;-)

Revision 1.29  2003/05/27 11:52:18  trojan
- added Source-md5

Revision 1.28  2003/05/25 06:26:54  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.27  2003/05/05 10:22:56  qboosh
- added config(noreplace) and verify() for spacechartrc

Revision 1.26  2003/04/29 08:08:52  trojan
- updated to 0.9.5
- fixed %%files
- changed URL and Source0
- removed outdated patch

Revision 1.25  2003/01/18 22:56:20  juandon
- removed two lines with define

Revision 1.24  2002/10/29 21:53:24  ankry
- applnk: moved to Scientific/Astronomy, rel. 8

Revision 1.23  2002/09/30 11:20:15  kloczek
- aded ac_fixes patch (dont use AM_ACLOCAL_INCLUDE buggy macro),
- added using %%find_lang,
- correctly regenerate ac/am/gt suit.

Revision 1.22  2002/09/30 07:33:18  trojan
- changed %%{applnkdir}/Science to Scientific
- release 7; STBR

Revision 1.21  2002/07/23 19:20:07  marcus
- fixed Source0:
- rel.6.

Revision 1.20  2002/05/21 23:14:46  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.19  2002/05/06 07:01:44  roman
- changed Science back to Scientific, but only till new version of applnk arrives :)

Revision 1.18  2002/04/24 15:34:30  roman
- changed applnk dir from Science to Scientific

Revision 1.17  2002/04/05 19:05:36  gotar
- applnk dir changed from Scientific to Science.

Revision 1.16  2002/03/25 11:13:36  gotar
- release 5, STBR.

Revision 1.15  2002/03/24 20:41:49  gotar
- added %{_datadir}/%{name} dir to the package contents.

Revision 1.14  2002/02/22 23:29:44  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/01/18 02:15:02  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/12/09 03:34:21  kloczek
- typo.

Revision 1.11  2001/12/09 03:28:37  kloczek
- reelase 4,
- moved desktop file to Scientific,
- added png Icon for desktop file.

Revision 1.10  2001/10/28 16:24:59  kloczek
- cosmetics.

Revision 1.9  2001/10/03 08:48:42  qboosh
- added URLs

Revision 1.8  2001/09/30 10:08:00  qboosh
- BuildRequires: autoconf, automake

Revision 1.7  2001/09/29 22:43:42  blues
- release 3
- ac2.5 ready

Revision 1.6  2001/01/03 19:04:03  kloczek
- s/Applications/Science/ in %files.

Revision 1.5  2001/01/03 18:22:34  kloczek
- few reorders in %install.

Revision 1.4  2001/01/03 01:12:53  wrobell
- group changed to X11/Applications/Science
- applnk directory changed to Science, so release up

Revision 1.3  2000/12/27 19:05:50  wrobell
- Polish description translation updated
- prepared applnkdir support (but where tu put it?)

Revision 1.2  2000/12/27 13:10:04  kloczek
- spec adapterized.

Revision 1.1  2000/12/22 18:47:10  wrobell
- initial version
